Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.dialogs 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide
Interface WizardDescriptor.InstantiatingIterator

All Superinterfaces:
  WizardDescriptor.Iterator

All Known Subinterfaces:
  WizardDescriptor.AsynchronousInstantiatingIterator

Enclosing class:
  WizardDescriptor

    public static interface WizardDescriptor.InstantiatingIterator

extends WizardDescriptor.Iterator

Iterator for a wizard that needs to somehow instantiate new objects. (This interface can replace `TemplateWizard.Iterator` in a template's declaration.)

Since:
  org.openide/1 4.33

Method Summary
`void` | `initialize(WizardDescriptor wizard)` Initializes this iterator, called from WizardDescriptor's constructor.
`Set` | `instantiate()` Returns set of instantiated objects.
`void` | `uninitialize(WizardDescriptor wizard)` Uninitializes this iterator, called when the wizard is being closed, no matter what closing option invoked.

Methods inherited from interface org.openide.WizardDescriptor.Iterator
`addChangeListener, current, hasNext, hasPrevious, name, nextPanel, previousPanel, removeChangeListener`

Method Detail

### instantiate

    Set instantiate()
                    throws IOException

  Returns set of instantiated objects. If instantiation fails then wizard remains open to enable correct values.

  Returns:
    a set of objects created (the exact type is at the discretion of the caller)
  Throws:
    `IOException`

### initialize

    void initialize(WizardDescriptor wizard)

  Initializes this iterator, called from WizardDescriptor's constructor.

  Parameters:
    `wizard` - wizard's descriptor

### uninitialize

    void uninitialize(WizardDescriptor wizard)

  Uninitializes this iterator, called when the wizard is being closed, no matter what closing option invoked.

  Parameters:
    `wizard` - wizard's descriptor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.dialogs 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.